> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/sync-udelement.md).

# Sync-UDElement

Sync-UDElement tvinger et eller flere dashboardelementer til at opdatere deres indhold og udsender eventuelt opdateringen i PowerShell Universal.

### Synopsis

Får et element til at opdatere.

### Syntaks

```powershell
Sync-UDElement [-Id] <String[]> [-Broadcast] [[-ArgumentList] <Object[]>] [-Wait] [[-Timeout] <Int32>] [<CommonParameters>]
```

### Beskrivelse

Får et element til at opdatere. Ikke alle elementer kan opdateres. For elementer, der ikke kan opdateres, ombryd dem i New-UDDynamic, og opdater det.

### Parametre

#### -Id \<String\[]>

Id'et for det element, der skal opdateres.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       true (ByValue)
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Om opdateringen skal udsendes til alle klienter.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ArgumentList \<Object\[]>

Argumentlisten, der skal overføres til elementet.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Wait

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Timeout

```
Required?                    false
Position?                    3
Default value                5000
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: synkroniser element

```powershell
New-UDDynamic -Id 'sync1' -Content {
   New-UDTypography (Get-Random)
}
New-UDButton -Text 'Refresh' -OnClick {
   Sync-UDElement 'sync1'
} -Id 'syncButton1'
```

Synkroniserer et element.

#### Eksempel 2: Broadcast

```powershell
New-UDDynamic -Id 'sync2' -Content {
   New-UDTypography (Get-Random)
}
New-UDButton -Text 'Refresh' -OnClick {
   Sync-UDElement 'sync2' -Broadcast
} -Id 'syncButton2'
```

Synkroniserer et element og udsender det til alle tilsluttede dashboards.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/sync-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
